package com.ruoyi.job.task;

import com.ruoyi.api.invest.RemoteInvestService;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 照明平台定时任务
 *
 * @author ruoyi
 */
@Component("investJobTask")
public class InvestJobTask
{
    @Autowired
    private RemoteInvestService remoteInvestService;

    /**生成未出信用卡账单数据*/
    public void generateUnpaidCreditBillTask(){
        System.out.println("================================开始生成未出账单数据("+ DateUtils.getTime() +")=================================");
        remoteInvestService.generateUnpaidCreditBillTask();
        System.out.println("================================结束生成未出账单据("+ DateUtils.getTime() +")=================================");
    }

    /**未出信用卡分期账单入账数据*/
    public void updateUnpaidInstallmentDataTask(){
        System.out.println("================================开始更新未出信用卡分期账单入账数据("+ DateUtils.getTime() +")=================================");
        remoteInvestService.updateUnpaidInstallmentDataTask();
        System.out.println("================================结束更新未出信用卡分期账单入账拟数据("+ DateUtils.getTime() +")=================================");
    }


}
